using Microsoft.EntityFrameworkCore.Migrations;

namespace YGNT.QuestionLibrary.Migrations
{
    public partial class QuestionCategory : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "QuestionStyle",
                table: "QuestionTypes");

            migrationBuilder.AddColumn<int>(
                name: "QuestionCategory",
                table: "QuestionTypes",
                nullable: false,
                defaultValue: 0);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "QuestionCategory",
                table: "QuestionTypes");

            migrationBuilder.AddColumn<int>(
                name: "QuestionStyle",
                table: "QuestionTypes",
                type: "int",
                nullable: false,
                defaultValue: 0);
        }
    }
}
